Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Class InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.omg.CORBA.portable.InputStream

Direct Known Subclasses:
  InputStream

public abstract class InputStream
extends java.io.InputStream

Constructor Summary
`InputStream()`

Method Summary
`ORB` | `orb()`
`abstract Any` | `read_any()`
`abstract void` | `read_boolean_array(boolean[] value, int offset, int length)`
`abstract boolean` | `read_boolean()`
`abstract void` | `read_char_array(char[] value, int offset, int length)`
`abstract char` | `read_char()`
`Context` | `read_Context()`
`abstract void` | `read_double_array(double[] value, int offset, int length)`
`abstract double` | `read_double()`
`java.math.BigDecimal` | `read_fixed()` Deprecated. Deprecated by CORBA 2.4.
`java.math.BigDecimal` | `read_fixed(short digits, short scale)`
`abstract void` | `read_float_array(float[] value, int offset, int length)`
`abstract float` | `read_float()`
`abstract void` | `read_long_array(int[] value, int offset, int length)`
`abstract int` | `read_long()`
`abstract void` | `read_longlong_array(long[] value, int offset, int length)`
`abstract long` | `read_longlong()`
`abstract Object` | `read_Object()`
`Object` | `read_Object(java.lang.Class clz)`
`abstract void` | `read_octet_array(byte[] value, int offset, int length)`
`abstract byte` | `read_octet()`
`Principal` | `read_Principal()` Deprecated. Deprecated by CORBA 2.2
`abstract void` | `read_short_array(short[] value, int offset, int length)`
`abstract short` | `read_short()`
`abstract java.lang.String` | `read_string()`
`abstract TypeCode` | `read_TypeCode()`
`abstract void` | `read_ulong_array(int[] value, int offset, int length)`
`abstract int` | `read_ulong()`
`abstract void` | `read_ulonglong_array(long[] value, int offset, int length)`
`abstract long` | `read_ulonglong()`
`abstract void` | `read_ushort_array(short[] value, int offset, int length)`
`abstract short` | `read_ushort()`
`abstract void` | `read_wchar_array(char[] value, int offset, int length)`
`abstract char` | `read_wchar()`
`abstract java.lang.String` | `read_wstring()`
`int` | `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStream

    public InputStream()

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### orb

    public ORB orb()

### read_boolean

    public abstract boolean read_boolean()

### read_char

    public abstract char read_char()

### read_wchar

    public abstract char read_wchar()

### read_octet

    public abstract byte read_octet()

### read_short

    public abstract short read_short()

### read_ushort

    public abstract short read_ushort()

### read_long

    public abstract int read_long()

### read_ulong

    public abstract int read_ulong()

### read_longlong

    public abstract long read_longlong()

### read_ulonglong

    public abstract long read_ulonglong()

### read_float

    public abstract float read_float()

### read_double

    public abstract double read_double()

### read_string

    public abstract java.lang.String read_string()

### read_wstring

    public abstract java.lang.String read_wstring()

### read_boolean_array

    public abstract void read_boolean_array(boolean[] value,
                                            int offset,
                                            int length)

### read_char_array

    public abstract void read_char_array(char[] value,
                                         int offset,
                                         int length)

### read_wchar_array

    public abstract void read_wchar_array(char[] value,
                                          int offset,
                                          int length)

### read_octet_array

    public abstract void read_octet_array(byte[] value,
                                          int offset,
                                          int length)

### read_short_array

    public abstract void read_short_array(short[] value,
                                          int offset,
                                          int length)

### read_ushort_array

    public abstract void read_ushort_array(short[] value,
                                           int offset,
                                           int length)

### read_long_array

    public abstract void read_long_array(int[] value,
                                         int offset,
                                         int length)

### read_ulong_array

    public abstract void read_ulong_array(int[] value,
                                          int offset,
                                          int length)

### read_longlong_array

    public abstract void read_longlong_array(long[] value,
                                             int offset,
                                             int length)

### read_ulonglong_array

    public abstract void read_ulonglong_array(long[] value,
                                              int offset,
                                              int length)

### read_float_array

    public abstract void read_float_array(float[] value,
                                          int offset,
                                          int length)

### read_double_array

    public abstract void read_double_array(double[] value,
                                           int offset,
                                           int length)

### read_Object

    public abstract Object read_Object()

### read_Object

    public Object read_Object(java.lang.Class clz)

### read_TypeCode

    public abstract TypeCode read_TypeCode()

### read_any

    public abstract Any read_any()

### read_Context

    public Context read_Context()

### read_Principal

    public Principal read_Principal()

  Deprecated. Deprecated by CORBA 2.2

### read_fixed

    public java.math.BigDecimal read_fixed()

  Deprecated. Deprecated by CORBA 2.4.

### read_fixed

    public java.math.BigDecimal read_fixed(short digits,
                                           short scale)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD